#!/usr/bin/ruby

require 'optparse'
require 'json'
require 'date'
require 'awesome_print'

require_relative '../lib/xero_api'
require_relative '../lib/xero_cli/constants'
require_relative '../lib/xero_cli/helper'
require_relative '../lib/xero_cli/options_parser'
require_relative '../lib/xero_cli/options'
require_relative '../lib/xero_cli/credentials'
require_relative '../lib/xero_cli/accounts_storage'
require_relative '../lib/xero_cli/commands'
require_relative '../lib/xero_cli/commands/base'
require_relative '../lib/xero_cli/commands/spend'
require_relative '../lib/xero_cli/commands/receive'
require_relative '../lib/xero_cli/commands/transfer'
require_relative '../lib/xero_cli/commands/accounts'
require_relative '../lib/xero_cli/commands/balance'
require_relative '../lib/xero_cli/templates/transaction'
require_relative '../lib/xero_cli/templates/transfer'

module XeroCLI
  def self.run
    options_parser = XeroCLI::OptionsParser.new
    xero = options_parser.xero
    xero.parse!

    options = XeroCLI::Options.new(options_parser.options)
    commands = XeroCLI::Commands.new(options, xero)
    commands.perform
  end
end

XeroCLI.run
