class XeroCLI::Commands::Balance < XeroCLI::Commands::Base
  def initialize(options)
    @bank_name = options.balance
  end

  def perform
    balance = get_balance(bank_name)
    result = JSON.parse(balance)['balance']
    ap "#{bank_name}: #{result}"
  rescue StandardError
    ap "Couldn't find bank with name '#{bank_name}'"
  end

  private

  attr_reader :bank_name

  def get_balance(bank_name)
    xero_api.balance(bank_name)
  end
end
