class XeroCLI::Commands::Base
  def read_guid
    @read_guid ||= XeroCLI::Credentials.read_guid
  end

  def xero_api
    @xero_api ||= XeroAPI.new(read_guid)
  rescue StandardError
    raise Exception, 'Please set XERO_CONNECTOR_URL' if ENV['XERO_CONNECTOR_URL'].empty?
  end

  def money_to_cents(amount)
    amount / 100.0
  end

  def format_date(on)
    Time.at(on).strftime('%d-%m-%Y')
  end
end
